org.keycloak.services.managers

## Interface BruteForceProtector

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    DefaultBruteForceProtector

      public interface BruteForceProtector
      extends Provider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DISABLED_BY_PERMANENT_LOCKOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanUpPermanentLockout(KeycloakSession session, RealmModel realm, UserModel user)` Clears any remaining traces of the permanent lockout.
    `void` | `failedLogin(RealmModel realm, UserModel user, ClientConnection clientConnection)`
    `boolean` | `isPermanentlyLockedOut(KeycloakSession session, RealmModel realm, UserModel user)`
    `boolean` | `isTemporarilyDisabled(KeycloakSession session, RealmModel realm, UserModel user)`
    `void` | `successfulLogin(RealmModel realm, UserModel user, ClientConnection clientConnection)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### DISABLED_BY_PERMANENT_LOCKOUT

          static final String DISABLED_BY_PERMANENT_LOCKOUT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### failedLogin

          void failedLogin(RealmModel realm,
                           UserModel user,
                           ClientConnection clientConnection)

    - #### successfulLogin

          void successfulLogin(RealmModel realm,
                               UserModel user,
                               ClientConnection clientConnection)

    - #### isTemporarilyDisabled

          boolean isTemporarilyDisabled(KeycloakSession session,
                                        RealmModel realm,
                                        UserModel user)

    - #### isPermanentlyLockedOut

          boolean isPermanentlyLockedOut(KeycloakSession session,
                                         RealmModel realm,
                                         UserModel user)

    - #### cleanUpPermanentLockout

          void cleanUpPermanentLockout(KeycloakSession session,
                                       RealmModel realm,
                                       UserModel user)

      Clears any remaining traces of the permanent lockout. Does not enable the user as such!
      Parameters:
        `session` -
        `realm` -
        `user` -

Copyright © 2021 JBoss by Red Hat. All rights reserved.